%global commit e694813431720d9fe7ba7b0adc88194d022f4bf5
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapshotdate 20180806
Name:           SoapySDR
Version:        0.6.1
Release:        1.%{snapshotdate}git%{shortcommit}%{?dist}
Summary:        A Vendor Neutral and Platform Independent SDR Support Library

License:        Boost
URL:            https://github.com/pothosware/%{name}
Source0:        https://github.com/pothosware/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  cmake gcc-c++ swig doxygen
BuildRequires: python2-devel python2-numpy
BuildRequires: python3-devel python3-numpy

%description
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n python2-%{name}
Summary:        Python2 Bindings for SoapySDR
%{?python_provide:%python_provide python2-%{name}}

%description -n python2-%{name}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n python3-%{name}
Summary:        Python3 Bindings for SoapySDR
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{name}-devel
Summary:        Development Files for SoapySDR
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n %{name}-devel
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{name}-doc
Summary:        Development Files for SoapySDR
BuildArch: noarch

%description -n %{name}-doc
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices. This package includes
library header file documentation.
    
    
%prep
%autosetup -n %{name}-%{commit}

%build
export Python_ADDITIONAL_VERSIONS="%{python2_version} %{python3_version}"
%cmake .  -DUSE_PYTHON_CONFIG=ON -DPYTHON_EXECUTABLE=%{__python2} -DPYTHON3_EXECUTABLE=%{__python3}
%make_build


%install
%make_install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}/modules0.7

%check
ctest -V %{?_smp_mflags}

%ldconfig_scriptlets
%files
%license LICENSE_1_0.txt
%{_bindir}/SoapySDRUtil
%{_libdir}/libSoapySDR.so.0.7.0
%{_libdir}/libSoapySDR.so.0.7
%{_mandir}/man1/*
%doc README.md
# for hardware support modules
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules0.7

%files -n python2-%{name}
%license LICENSE_1_0.txt
%{python2_sitearch}/SoapySDR.py*
%{python2_sitearch}/_SoapySDR.so

%files -n python3-%{name}
%license LICENSE_1_0.txt
%{python3_sitearch}/SoapySDR.py
%{python3_sitearch}/_SoapySDR.so
%{python3_sitearch}/__pycache__/SoapySDR.cpython-*.opt-1.pyc
%{python3_sitearch}/__pycache__/SoapySDR.cpython-*.pyc


%files -n %{name}-devel
%{_includedir}/%{name}
%{_libdir}/libSoapySDR.so
%{_libdir}/pkgconfig/*
%dir %{_datadir}/cmake/%{name}
%{_datadir}/cmake/%{name}/*

%files -n %{name}-doc
%license LICENSE_1_0.txt
%doc docs/html/*



%changelog
* Mon Aug  6 2018 Matt Domsch <matt@domsch.com> 0.6.1-1.20180806gite694813
- initial Fedora packaging
